Bug 505877 - firefox hang
firefox hang
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 10:28 EDT by Oliver Henshaw
Modified: 2018-04-11 09:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:33:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pstack of hanging firefox process (12.02 KB, text/plain)
2009-06-14 10:28 EDT, Oliver Henshaw
no flags Details
Script for coredump analysis (378 bytes, text/plain)
2009-06-17 16:15 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Oliver Henshaw 2009-06-14 10:28:56 EDT
Created attachment 347822 [details]
pstack of hanging firefox process

Description of problem:

Firefox has been hanging/freezing a few times in the last few days, which is unusual here. The most recent time I captured a backtrace with pstack (attached). I see the java plugin is mentioned in the backtrace, could that be relevant? I don't think that I visit a lot of java-related sites, perhaps I can narrow down which I used recently.

I also dumped the core before I killed firefox, in case there's any useful information to be extracted from it.


Version-Release number of selected component (if applicable):

firefox-3.0.10-1.fc10.i386
java-1.6.0-openjdk-plugin-1.6.0.0-18.b16.fc10.i386
nspluginwrapper-1.3.0-2.fc10.i386
Comment 1 Matěj Cepl 2009-06-17 16:15:17 EDT
Created attachment 348336 [details]
Script for coredump analysis

just run the attached script with the core dump file, like

gbt firefox core-file-name

you will get a file firefox-backtrace-number.txt. Please attach it to this bug report.

Thank you
Comment 2 Oliver Henshaw 2009-06-19 10:01:55 EDT
I've since updated to firefox 3.0.11, so I can't trivially run your script on this system. I think I should be able to run it in mock, or with a liveusb+updates with a little work and the 3.0.10 rpms.

But I can't see what information this script provides that /usr/bin/pstack doesn't.
Comment 3 Matěj Cepl 2009-06-19 13:46:37 EDT
Dont' bother ... if you won't be able to reproduce the hang, somebody else will. I will give you a month, and if you won't be able to provide more detailed backtrace, only then I will close this bug.
Comment 4 Oliver Henshaw 2009-06-19 14:25:45 EDT
Can you tell me what is missing from the backtrace in attachment #347822 [details]? I prefer to reach for pstack than gdb+typing to get a backtrace from a running process, since it's possible to send the output to a file. So I'd like to know if and why pstack loses detail.

Both pstack and attachment #348336 [details] are gdb scripts, pstack just suppresses most output before 'thread apply all bt', and that seems to be mainly symbol loading.


Note: Attachment #341454 [details] contains a kded4 backtrace I made with gdb for another bug. I can't see any substantial difference between that backtrace and the one attached to this bug. But maybe I'm just lost in the noise?
Comment 5 Matěj Cepl 2009-06-25 18:55:45 EDT
(In reply to comment #2)
> I've since updated to firefox 3.0.11, so I can't trivially run your script on
> this system. I think I should be able to run it in mock, or with a
> liveusb+updates with a little work and the 3.0.10 rpms.
> 
> But I can't see what information this script provides that /usr/bin/pstack
> doesn't.  

No, that's OK unless you are able to reproduce the issue with the current upgraded version of Firefox. If yes, then we would love to see new backatraces.
Comment 6 Matěj Cepl 2009-06-25 18:58:23 EDT
(In reply to comment #4)
> Can you tell me what is missing from the backtrace in attachment #347822 [details]? I
> Both pstack and attachment #348336 [details] are gdb scripts, pstack just suppresses most
> output before 'thread apply all bt', and that seems to be mainly symbol
> loading.

Unfortunately not only. In you gdb backtrace you have also the line

0x00554416 in __kernel_vsyscall ()   

saying where actually was the processor in the moment of stopping the firefox process.
Comment 7 Bug Zapper 2009-11-18 07:05:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 04:33:53 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.